Next: 4. General features Up: 3. GMT overview and Previous: 3.1 GMT summary Contents Index

# 3.2 GMT quick reference

Instead of an alphabetical listing, this section contains a summary sorted by program purpose. Also included is a quick summary of the standard command line options and a breakdown of the -J option for each of the over 30 projections available in GMT.

FILTERING OF 1-D AND 2-D DATA
blockmean | L estimate () data filters/decimators
blockmedian | L estimate () data filters/decimators
blockmode | Mode estimate () data filters/decimators
filter1d | Filter 1-D data (time series)
grdfilter | Filter 2-D data in space domain
PLOTTING OF 1-D and 2-D DATA
grdcontour | Contouring of 2-D gridded data
grdimage | Produce images from 2-D gridded data
grdvector | Plot vector fields from 2-D gridded data
grdview | 3-D perspective imaging of 2-D gridded data
psbasemap | Create a basemap frame
psclip | Use polygon files as clipping paths
pscoast | Plot coastlines, filled continents, rivers, and political borders
pscontour | Direct contouring or imaging of xyz data by triangulation
pshistogram | Plot a histogram
psimage | Plot Sun raster files on a map
pslegend | Plot a legend on a map
psmask | Create overlay to mask specified regions of a map
psrose | Plot sector or rose diagrams
psscale | Plot gray scale or color scale
pstext | Plot text strings
pswiggle | Draw anomalies along track
psxy | Plot symbols, polygons, and lines in 2-D
psxyz | Plot symbols, polygons, and lines in 3-D

GRIDDING OF (X,Y,Z) TABLE DATA
nearneighbor | Nearest-neighbor gridding scheme
surface | Continuous curvature gridding algorithm
triangulate | Perform optimal Delauney triangulation on xyz data
SAMPLING OF 1-D AND 2-D DATA
grdsample | Resample a 2-D gridded data onto new grid
grdtrack | Sampling of 2-D data along 1-D track
sample1d | Resampling of 1-D data
PROJECTION AND MAP-TRANSFORMATION
grdproject | Transform gridded data to a new coordinate system
mapproject | Transform table data to a new coordinate system
project | Project data onto lines or great circles
INFORMATION
gmtdefaults | List the current default settings
gmtset | Command-line editing of parameters in the .gmtdefaults4 file
grdinfo | Get information about the content of gridded files
minmax | Report extreme values in table data files
MISCELLANEOUS
gmtmath | Reverse Polish Notation (RPN) calculator for table data
makecpt | Create GMT color palette tables
spectrum1d | Compute spectral estimates from time-series
triangulate | Perform optimal Delauney triangulation on xyz data
CONVERT OR EXTRACT SUBSETS OF DATA
gmt2rgb | Convert Sun raster or grid file to red, green, blue component grids
gmtconvert | Convert table data from one format to another
gmtselect | Select table data subsets based on multiple spatial criteria
grd2xyz | Convert 2-D gridded data to table data
grdcut | Cut a sub-region from a gridded file
grdblend | Blend several partially over-lapping grid files onto one grid
grdpaste | Paste together gridded files along common edge
grdreformat | Convert from one grid format to another
splitxyz | Split () table data into several segments
xyz2grd | Convert table data to 2-D gridded file
DETERMINE TRENDS IN 1-D AND 2-D DATA
fitcircle | Finds best-fitting great or small circles
grdtrend | Fits polynomial trends to gridded files ()
trend1d | Fits polynomial or Fourier trends to series
trend2d | Fits polynomial trends to series
OTHER OPERATIONS ON 2-D GRIDS
grd2cpt | Make color palette table from gridded file
grdclip | Limit the -range in gridded data sets
grdedit | Modify grid header information
grdfft | Operate on gridded files in frequency domain
grdgradient | Compute directional gradients from gridded files
grdhisteq | Histogram equalization for gridded files
grdlandmask | Creates mask gridded file from coastline database
grdmask | Set grid nodes in/outside a clip path to constants
grdmath | Reverse Polish Notation (RPN) calculator for gridded files
grdvolume | Calculate volume under a surface within a contour
MANIPULATING GMT POSTSCRIPT FILES
ps2raster | Crop and convert PostScript files to raster images, EPS and PDF

[1] [1] width scale [/horizon]

STANDARDIZED COMMAND LINE OPTIONS WITH OLD PROJECTION CODES
-B[ps]xinfo[/yinfo[/zinfo]][WESNZwesnz+][:.title:] Tickmarks. Each info is
[t]stride[±phase][u][lp][:"label":][:="prefix":][:,"unit":], where l and p apply to axes only,
and type t = {a, A, f, g, i, I}; unit u = {c, C, d, D, h, H, K, k, m, M, o, O, r, R, u, U, y, Y}
The leading ps selects primary [Default] or secondary axis items
-H[i][n_headers] | ASCII [input] tables have header record[s]
-J (upper case for , lower case for ) | Map projection
-JA0/0/ | Lambert azimuthal equal area
-JB0/0/1/2/ | Albers conic equal area
-JC0/0/ | Cassini cylindrical
-JCyl_stere/[0/[0/]] | Cylindrical stereographic
-JD0/0/1/2/ | Equidistant conic
-JE0/0/ | Azimuthal equidistant
-JF0/0/ | Azimuthal gnomonic
-JG0/0/ | Azimuthal orthographic
-JG0/0/alt/azim/tilt/twist/W/H/ | General perspective
-JH[0/] | Hammer equal area
-JI[0/] | Sinusoidal equal area
-JJ[0/] | Miller cylindrical
-JKf[0/] | Eckert IV equal area
-JKs[0/] | Eckert VI equal area
-JL0/0/1/2/ | Lambert conic conformal
-JM[0/[0/]] | Mercator cylindrical
-JN[0/] | Robinson
-JOa0/0/azim/ | Oblique Mercator, 1: origin and azimuth
-JOb0/0/1/1/ | Oblique Mercator, 2: two points
-JOc0/0/p/p/ | Oblique Mercator, 3: origin and pole
-JP[a][/origin] | Polar [azimuthal] () (or cylindrical)
-JQ[0/[0/]] | Equidistant cylindrical
-JR[0/] | Winkel Tripel
-JS0/0/ | General stereographic
-JT0/[/lat0] | Transverse Mercator
-JU zone/ | Universal Transverse Mercator (UTM)
-JV[0/] | Van der Grinten
-JW[0/] | Mollweide
-JX[lp expTt][/height[lp expTt]][d] | Linear, log, -, and time
-JY0/0/ | Cylindrical equal area
-K | Append more PS later
-O | This is an overlay plot
-P | Select Portrait orientation
-R west/east/south/north[/zmin/zmax][r] | Specify Region of interest
-U[[just]/dx/dy/][label] | Plot time-stamp on plot
-V | Run in verbose mode
-X[acr]off[u] | Shift plot origin in -direction
-Y[acr]off[u] | Shift plot origin in -direction
-b[io][csSdD][ncol] | Select binary input or output
-c copies | Set number of plot copies [1]
-f[io]colinfo | Set formatting of ASCII input or output
-:[io] | Expect y/x input rather than x/y

[1] [1] width scale [/horizon]

STANDARDIZED COMMAND LINE OPTIONS (WITH Proj4 PROJECTION CODES)
-B[ps]xinfo[/yinfo[/zinfo]][WESNZwesnz+][:.title:] Tickmarks. Each info is
[t]stride[±phase][u][lp][:"label":][:="prefix":][:,"unit":], where l and p apply to axes only,
and type t = {a, A, f, g, i, I}; unit u = {c, C, d, D, h, H, K, k, m, M, o, O, r, R, u, U, y, Y}
The leading ps selects primary [Default] or secondary axis items
-H[i][n_headers] | ASCII [input] tables have header record[s]
-J (upper case for , lower case for ) | Map projection
-Jaea/0/0/1/2/ | Albers conic equal area
-Jaeqd/0/0/ | Azimuthal equidistant
-Jcass/0/0/ | Cassini cylindrical
-Jcea/0/0/ | Cylindrical equal area
-Jcyl_stere/[0/[0/]] | Cylindrical stereographic
-Jeqc/[0/[0/]] | Equidistant cylindrical
-Jeqdc/0/0/1/2/ | Equidistant conic
-Jgnom/0/0/ | Azimuthal gnomonic
-Jhammer/[0/] | Hammer equal area
-Jeck4/[0/] | Eckert IV equal area
-Jeck6/[0/] | Eckert VI equal area
-Jlaea/0/0/ | Lambert azimuthal equal area
-Jlcc/0/0/1/2/ | Lambert conic conformal
-Jmerc/[0/[0/]] | Mercator cylindrical
-Jmill/[0/] | Miller cylindrical
-Jmoll/[0/] | Mollweide
-Jnsper/0/0/alt/azim/tilt/twist/W/H/ | General perspective
-Jomerc/0/0/azim/ | Oblique Mercator, 1: origin and azimuth
-Jomerc/0/0/1/1/ | Oblique Mercator, 2: two points
-Jomercp/0/0/p/p/ | Oblique Mercator, 3: origin and pole
-Jortho/0/0/ | Azimuthal orthographic
-Jpolar/[a][/origin] | Polar [azimuthal] () (or cylindrical)
-Jrobin/[0/] | Robinson
-Jsinu/[0/] | Sinusoidal equal area
-Jstere/0/0/ | General stereographic
-Jtmerc/0/[/lat0] | Transverse Mercator
-Jutm/zone/ | Universal Transverse Mercator (UTM)
-Jvandg/[0/] | Van der Grinten
-Jwintri/[0/] | Winkel Tripel
-Jxy/xscale[lp expTt][/yscale[lp expTt]][d] | Linear, log, -, and time
-K | Append more PS later
-O | This is an overlay plot
-P | Select Portrait orientation
-R west/east/south/north[/zmin/zmax][r] | Specify Region of interest
-U[[just]/dx/dy/][label] | Plot time-stamp on plot
-V | Run in verbose mode
-X[acr]off[u] | Shift plot origin in -direction
-Y[acr]off[u] | Shift plot origin in -direction
-b[io][csSdD][ncol] | Select binary input or output
-c copies | Set number of plot copies [1]
-f[io]colinfo | Set formatting of ASCII input or output
-:[io] | Expect y/x input rather than x/y

Next: 4. General features Up: 3. GMT overview and Previous: 3.1 GMT summary Contents Index